GetbeelDocs

List quotes, newest first

GET
/quotes

Authorization

apiKey
headerAuthorizationBearer <token>

API key: gb_test_… or gb_live_…

Query Parameters

status?string
Value in"draft""sent""accepted""declined""expired"
limit?integer

How many quotes to return, 1–100 (default 100)

Range1 <= value <= 100
Default100

Header Parameters

Getbeel-Company?string

Act on one of the account's client companies (its id from GET /companies) instead of the key's own account. 404 company_not_found when the key cannot act on it.

Formatuuid

Response Body

OK

application/json
  1. response
object*string
data*array<>
has_more*boolean
next_cursor*string|null
Example Request
curl -X GET 'https://www.getbeel.com/api/v1/quotes'
Example Response
{  "object": "list",  "data": [    {      "object": "quote",      "id": "qt_5b0e…",      "livemode": true,      "number": "12/2026",      "status": "draft",      "date": "2026-10-29",      "valid_until": "2026-10-29",      "customer": {        "name": "string",        "email": "string",        "partita_iva": "string",        "codice_fiscale": "string",        "country": "string",        "address": "string",        "postal_code": "string",        "city": "string",        "province": "string",        "codice_destinatario": "string",        "pec": "string"      },      "lines": [        {          "description": "string",          "quantity": 0,          "unit_price": 0,          "unit": "string",          "vat_rate": 0,          "natura": "string",          "amount": "122.00"        }      ],      "notes": "string",      "currency": "string",      "amount_subtotal": "122.00",      "amount_tax": "122.00",      "amount_total": "122.00",      "invoice_id": "string",      "sent_at": "2019-08-24T14:15:22Z",      "accepted_at": "2019-08-24T14:15:22Z",      "declined_at": "2019-08-24T14:15:22Z",      "converted_at": "2019-08-24T14:15:22Z",      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z"    }  ],  "has_more": true,  "next_cursor": "string"}